---
secrets:
  config_json:
    file: secrets.json

services:
  foundry:
    image: felddy/foundryvtt:${VERSION}
    container_name: campaign-vtt
    hostname: localhost
    volumes:
      - type: bind
        source: ./data
        target: /data
      - type: bind
        source: ..
        target: /data/Data/modules/mondarth-campaign
    environment:
      - CONTAINER_PRESERVE_CONFIG=true
      - FOUNDRY_UID=1000
      - FOUNDRY_GID=1000
    ports:
      - target: 30000
        published: 31000
        protocol: tcp
    secrets:
      - source: config_json
        target: config.json
